<?php
/*
Plugin Name: Affiliate Subtitle
Plugin URI: https://www.kundenakqui.se/wordpress-untertitel-plugin/
Description: Mit diesem Plugin können in Wordpress-Beiträgen Untertitel angezeigt werden
Author: Dimitri Roschkowski
Version 1.0
Author URI: http://www.port29.net
*/

function custom_subtitle_box_markup()
{
	global $post;
	wp_nonce_field(basename(__FILE__), "meta-box-nonce");
	?>
	<div>
		<label for="subtitle-text">Untertitel-Text:</label>
		<input name="subtitle-text" type="text" value="<?php echo get_post_meta($post->ID, "subtitle-text", true); ?>">
        <br><br>
        <label for="meta-box-checkbox">Untertitel verstecken</label>
        <?php
            $subtitle_hide_value = get_post_meta($post->ID, "subtitle-hide", true);
            if($subtitle_hide_value == ""){
                ?>
                <input name="subtitle-hide-checkbox" type="checkbox" value="true">
                <?php
            }else if($subtitle_hide_value == "true"){
                ?>
                <input name="subtitle-hide-checkbox" type="checkbox" value="true" checked>
                <?php
            }

        ?>
        <br><br>
        <a href="https://www.kundenakqui.se/wordpress-untertitel-plugin/#install" target="_blank">Installationsanleitung</a>
	</div>
	<?php
}

function save_custom_subtitle_box($post_id, $post, $update) {
	if (!isset($_POST["meta-box-nonce"]) || !wp_verify_nonce($_POST["meta-box-nonce"], basename(__FILE__)))
		return $post_id;

	if(!current_user_can("edit_post", $post_id))
		return $post_id;

	if(defined("DOING_AUTOSAVE") && DOING_AUTOSAVE)
		return $post_id;

	$slug = "post";
	if($slug != $post->post_type)
		return $post_id;

	$subtitle_text_value = "";
	$subtitle_text_raw = filter_input( INPUT_POST, 'subtitle-text', FILTER_SANITIZE_STRING );

	$subtitle_hide_value = "";
	$subtitle_hide_raw = filter_input( INPUT_POST, 'subtitle-hide-checkbox', FILTER_SANITIZE_STRING );

	if(isset($subtitle_text_raw))
	{
		$subtitle_text_value = $subtitle_text_raw;
	}
	update_post_meta($post_id, "subtitle-text", $subtitle_text_value);

	if(isset($subtitle_hide_raw))
    {
        $subtitle_hide_value = $subtitle_hide_raw;
    }
	update_post_meta($post_id, "subtitle-hide", $subtitle_hide_value);

}

function add_custom_subtitle_box()
{
	add_meta_box("subtitle-box", "Untertitel", "custom_subtitle_box_markup", "post", "side", "low", null);
}

function get_custom_subtitle($default, $id)
{
	$subtitle_hide_value = get_post_meta($id, "subtitle-hide", true);
	if($subtitle_hide_value == "true"){
	    return null;
    }else{
	    $subtitle_db_value = get_post_meta($id, "subtitle-text", true);
	    if(empty($subtitle_db_value)){
	        return $default;
        }else{
	        return $subtitle_db_value;
        }
    }

	return get_post_meta($id, "subtitle-text", true);
}

add_action("add_meta_boxes", "add_custom_subtitle_box");
add_action("save_post", "save_custom_subtitle_box", 10, 3);